# $Revision: 1.47 $, $Date: 2012/01/27 08:18:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Writer
Summary:	XML::Writer perl module
Summary(pl.UTF-8):	Moduł perla XML::Writer
Name:		perl-XML-Writer
Version:	0.615
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c905db1c397b52455a82a45d2296fdc2
URL:		http://search.cpan.org/dist/XML-Writer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Writer - module for writing XML documents.

%description -l pl.UTF-8
XML::Writer - moduł do pisania dokumentów XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Writer.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Writer.spec,v $
Revision 1.47  2012/01/27 08:18:59  zbyniu
- up to 0.615

Revision 1.46  2011/07/01 14:26:10  marti
- up to 0.612

Revision 1.45  2009/10/08 11:58:59  amateja
- updated to 0.606

Revision 1.44  2007/03/29 16:33:52  radek
- version 0.602

Revision 1.43  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.42  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.41  2006/09/21 22:29:40  glen
- 0.601, generic url

Revision 1.40  2005/05/31 08:37:11  petec
- up to 0.545

Revision 1.39  2005/05/05 00:11:00  ankry
- updated to 0.530

Revision 1.38  2004/12/03 14:54:52  radek
- autoupdated to 0.520

Revision 1.37  2004/11/03 22:30:57  paladine
- formatting

Revision 1.36  2004/05/27 11:53:29  adamg
- updated to 0.510

Revision 1.35  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.34  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/05 06:33:15  ankry
- added tests, license fix, cosmetics

Revision 1.32  2004/03/14 17:17:17  adamg
- updated to 0.500

Revision 1.31  2004/03/06 18:47:28  adamg
- updated to 0.4.6

Revision 1.30  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:18  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/11/25 15:06:54  marcus
- use new %doc

Revision 1.21  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:40  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.16  2002/02/13 14:21:40  depesz
- automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:38:42  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:34  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:18:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/10 11:03:36  kloczek
- updated to 0.4.

Revision 1.8  2000/06/09 07:55:02  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:46  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.3  2000/02/14 20:16:25  pius
- updated to 0.3

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:50  pius
- initial release
